Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.artifacts.repositories
Interface MavenArtifactRepository

All Superinterfaces:
  ArtifactRepository, AuthenticationSupported

    public interface MavenArtifactRepository

extends ArtifactRepository, AuthenticationSupported

An artifact repository which uses a Maven format to store artifacts and meta-data.

Method Summary
`void` | `artifactUrls(Object... urls)` Adds some additional URLs to use to find artifact files.
`Set<URI>` | `getArtifactUrls()` Returns the additional URLs to use to find artifact files.
`URI` | `getUrl()` The base URL of this repository.
`void` | `setArtifactUrls(Iterable<?> urls)` Sets the additional URLs to use to find artifact files.
`void` | `setUrl(Object url)` Sets the base URL of this repository.

Methods inherited from interface org.gradle.api.artifacts.repositories.ArtifactRepository
`getName, setName`

Methods inherited from interface org.gradle.api.artifacts.repositories.AuthenticationSupported
`credentials, getCredentials`

Method Detail

### getUrl

    URI getUrl()

  The base URL of this repository. This URL is used to find both POMs and artifact files. You can add additional URLs to use to look for artifact files, such as jars, using `setArtifactUrls(Iterable)`.

  Returns:
    The URL.

### setUrl

    void setUrl(Object url)

  Sets the base URL of this repository. This URL is used to find both POMs and artifact files. You can add additional URLs to use to look for artifact files, such as jars, using `setArtifactUrls(Iterable)`.

  The provided value is evaluated as for `Project.uri(Object)`. This means, for example, you can pass in a `File` object, or a relative path to be evaluated relative to the project directory.

  Parameters:
    `url` - The base URL.

### getArtifactUrls

    Set<URI> getArtifactUrls()

  Returns the additional URLs to use to find artifact files. Note that these URLs are not used to find POM files.

  Returns:
    The additional URLs. Returns an empty list if there are no such URLs.

### artifactUrls

    void artifactUrls(Object... urls)

  Adds some additional URLs to use to find artifact files. Note that these URLs are not used to find POM files.

  The provided values are evaluated as for `Project.uri(Object)`. This means, for example, you can pass in a `File` object, or a relative path to be evaluated relative to the project directory.

  Parameters:
    `urls` - The URLs to add.

### setArtifactUrls

    void setArtifactUrls(Iterable<?> urls)

  Sets the additional URLs to use to find artifact files. Note that these URLs are not used to find POM files.

  The provided values are evaluated as for `Project.uri(Object)`. This means, for example, you can pass in a `File` object, or a relative path to be evaluated relative to the project directory.

  Parameters:
    `urls` - The URLs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD